import { createApp } from 'vue'
import './style.css'
import App from './App.vue'
import router from './router'
import store from './store'
import 'lib-flexible'
import { Popup, Icon, Col, Row, Pagination } from 'vant'

HTMLInputElement.prototype["_focus"] = HTMLInputElement.prototype.focus;
HTMLInputElement.prototype.focus = function () {
  console.log("调用focus::", this);
  this["_focus"]();
}

createApp(App).use(router).use(store).use(Popup).use(Icon).use(Col).use(Row).use(Pagination).mount('#app')
